#    Back In Time
#    Copyright (C) 2010 Ryan Ahearn
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

import urwid
import gettext

import logger

_=gettext.gettext

class ExpertOptionsWidget(urwid.WidgetWrap):

    def __init__( self, config ):
        self._config = config

        pile_list = [
            urwid.Padding( urwid.Text(( 'error', _('Change these options only if you really know what you are doing!') )), 'center' ),
            urwid.Divider(),
            urwid.CheckBox( _("Run 'nice' as cron job (default: enabled)"), config.is_run_nice_from_cron_enabled(), on_state_change=self.flip_nice_cron ),
            urwid.CheckBox( _("Run 'ionice' as cron job (default: enabled)"), config.is_run_ionice_from_cron_enabled(), on_state_change=self.flip_ionice_cron ),
            urwid.CheckBox( _("Run 'ionice' when taking a manual snapshot (default: disabled)"), config.is_run_ionice_from_user_enabled(), on_state_change=self.flip_ionice_user )
            ]
        display_widget = urwid.Pile( pile_list )
        urwid.WidgetWrap.__init__( self, display_widget )

    def flip_nice_cron( self, check_box, new_state ):
        self._config.set_run_nice_from_cron_enabled( new_state )

    def flip_ionice_cron( self, check_box, new_state ):
        self._config.set_run_ionice_from_cron_enabled( new_state )

    def flip_ionice_user( self, check_box, new_state ):
        self._config.set_run_ionice_from_user_enabled( new_state )
