#    Back In Time
#    Copyright (C) 2010 Ryan Ahearn
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

import urwid
import gettext

import logger

_=gettext.gettext

class OptionsWidget(urwid.WidgetWrap):

    def __init__( self, config ):
        self._config = config

        pile_list = [
            urwid.CheckBox( _('Enable notifications'), config.is_notify_enabled(), on_state_change=self.flip_notify ),
            urwid.CheckBox( _('Disable snapshots when on battery'), config.is_no_on_battery_enabled(), on_state_change=self.flip_battery ),
            urwid.CheckBox( _('Backup files on restore'), config.is_backup_on_restore_enabled(), on_state_change=self.flip_backup_on_restore )
            ]
        display_widget = urwid.Pile( pile_list )
        urwid.WidgetWrap.__init__( self, display_widget )

    def flip_notify( self, check_box, new_state ):
        self._config.set_notify_enabled( new_state )

    def flip_battery( self, check_box, new_state ):
        self._config.set_no_on_battery_enabled( new_state )

    def flip_backup_on_restore( self, check_box, new_state ):
        self._config.set_backup_on_restore( new_state )
