#    Back In Time
#    Copyright (C) 2010 Ryan Ahearn
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

import urwid
import gettext

import logger
import restorewidget
import snapshots

_=gettext.gettext

class RemoveSnapshot(urwid.WidgetWrap):

    def __init__( self, main_win, config ):
        self._main_win = main_win
        self._config = config
        self._snapshots = snapshots.Snapshots( config )

        pile_list = [
            urwid.Text( _('Are you sure you want to remove snapshot') + ' "' + main_win.selected_snapshot_name + '"' ),
            urwid.Divider(),
            urwid.GridFlow( [
                urwid.AttrWrap( urwid.Button( _('Yes'), self.yes_pressed ), 'button', 'button_focus' ),
                urwid.AttrWrap( urwid.Button( _('No'), self.go_home ), 'button', 'button_focus' )
                ], 10, 2, 1, 'right' )
            ]

        display_widget = urwid.Pile( pile_list )
        urwid.WidgetWrap.__init__( self, display_widget )

    def yes_pressed( self, button ):
        self._snapshots.remove_snapshot( self._main_win.selected_snapshot )
        self.go_home()

    def go_home( self, button=None ):
        self._main_win.update_content( restorewidget.RestoreWidget( self._main_win, self._config ), 5 )
